> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# List batch calls

GET https://api.synthflow.ai/v2/calls/batch

Lists the workspace's batch calls, most recently created first.

Reference: https://docs.synthflow.ai/api-reference/platform-api/batch-calls/list-batch-calls

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Query parameters

- `limit` (integer, optional, default: 20) — Number of batches per page, between 1 and 100.
- `offset` (integer, optional, default: 0) — Number of batches to skip.

## Response

### 200

200

- `status` (string, optional)
- `response` (object, optional)
  - `pagination` (object, optional)
    - `total_records` (integer, optional)
    - `limit` (integer, optional)
    - `offset` (integer, optional)
  - `batch_calls` (list of object, optional)
    - `batch_call_id` (string, optional)
    - `name` (string, optional)
    - `status` (string, optional) — One of `scheduled`, `in_progress`, `paused`, `completed` or `canceled`.
    - `total_task_count` (integer, optional) — Recipients stored in the batch.
    - `dispatched_count` (integer, optional) — Recipients whose call was placed.
    - `failed_count` (integer, optional) — Recipients whose call could not be placed.
    - `pending_count` (integer, optional) — Recipients still waiting to be dialed.
    - `created_at` (string, optional)
    - `model_id` (string, optional) — The agent placing the calls.
    - `agent_name` (string, optional)
    - `from_phone_number` (string, optional)

## Examples

**Response**

```json
{
  "status": "ok",
  "response": {
    "pagination": {
      "total_records": 3,
      "limit": 20,
      "offset": 0
    },
    "batch_calls": [
      {
        "batch_call_id": "3f6f2f5e-4f4b-4f0e-9a4e-2b6d1a5c7e90",
        "name": "August re-engagement",
        "status": "scheduled",
        "total_task_count": 250,
        "dispatched_count": 120,
        "failed_count": 5,
        "pending_count": 125,
        "created_at": {},
        "model_id": "1631a495-e29b-4933-a0b7-3ea0f4a45e64",
        "agent_name": "Support agent",
        "from_phone_number": "+16286666348"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/calls/batch"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/calls/batch"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/calls/batch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/calls/batch")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/calls/batch");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/calls/batch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```